# comment out when not pre-release
#define prel    rc1

%define rel     2

Name:           hydrogen
Version:        1.0.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        An advanced Drum Machine
License:        GPLv2+
Group:          Sound/Utilities
URL:            http://www.hydrogen-music.org
# make-tarball2 hydrogen git://github.com/hydrogen-music/hydrogen.git
Source0:        https://github.com/hydrogen-music/hydrogen/archive/%{version}%{?prel:-%{prel}}/%{name}-%{version}%{?prel:-%{prel}}.tar.gz
Source1:        make-tarball2
Patch0:         hydrogen-1.0.0-mga-hydrogen.desktop.patch
Patch3:         0001-porting-stats.py-to-Python3.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  ladspa-devel
BuildRequires:  portmidi-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lash-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(raptor)
BuildRequires:  pkgconfig(rubberband)

Requires:       rubberband

Obsoletes:      ladspa-plugins-wasp < 1.0.0-0.beta1.7

%description
Hydrogen is an advanced drum machine for GNU/Linux. Its main goal is to bring
professional yet simple and intuitive pattern-based drum programming.

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_bindir}/h2cli
%{_bindir}/h2player
%{_libdir}/lib%{name}-core-%{version}.so
%{_datadir}/%{name}/
%{_datadir}/applications/org.hydrogenmusic.Hydrogen.desktop
%{_datadir}/appdata/org.hydrogenmusic.Hydrogen.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/org.hydrogenmusic.Hydrogen.svg
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package        devel
Summary:        Hydrogen header files
Group:          Sound/Utilities
Requires:       %{name} = %{version}-%{release}

%description    devel
Header files for the hydrogen drum machine.

%files devel
%{_includedir}/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}%{?prel:-%{prel}}
%autopatch -p1

%build
%cmake_qt5 \
        -DWANT_LASH=ON \
        -DWANT_LRDF=ON \
        -DWANT_PORTAUDIO=ON \
        -DWANT_PORTMIDI=ON

%cmake_build

%install
%cmake_install

# No need to package these:
rm -f %{buildroot}%{_datadir}/hydrogen/data/doc/{Makefile,README}* \
      %{buildroot}%{_datadir}/hydrogen/data/doc/*.{docbook,po,pot}


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1658573
- Rebuild for new Qt5

* Wed Oct 21 2020 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1637511
- new version: 1.0.1

* Wed Jul 15 2020 daviddavid <daviddavid> 1.0.0-0.rc1.1.mga8
+ Revision: 1606289
- new version: 1.0.0-rc1
- ladspa-plugins-wasp was removed upstream

* Sat Feb 15 2020 daviddavid <daviddavid> 1.0.0-0.beta1.6.mga8
+ Revision: 1525987
- add upstream patch to port stats.py to Python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 1.0.0-0.beta1.5.mga7
+ Revision: 1381913
- Qt5 Rebuild

* Thu Nov 01 2018 daviddavid <daviddavid> 1.0.0-0.beta1.4.mga7
+ Revision: 1327101
- rebuild for fixed portmidi

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-0.beta1.3.mga7
+ Revision: 1298234
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 daviddavid <daviddavid> 1.0.0-0.beta1.2.mga7
+ Revision: 1241533
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Sat Mar 17 2018 daviddavid <daviddavid> 1.0.0-0.beta1.1.mga7
+ Revision: 1210102
- new version: 1.0.0-beta1
- port to Qt5
- rename and rediff mga-fix-manpage-install-path and hydrogen.desktop patches

* Thu Dec 01 2016 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 1071414
- new version: 0.9.7
- package the Wave Sculpting Plugins (WASP) now part of the hydrogen drum machine
- move header files into a devel subpackage
- requires rubberband

* Mon Feb 15 2016 umeabot <umeabot> 0.9.6.1-2.mga6
+ Revision: 960632
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 daviddavid <daviddavid> 0.9.6.1-1.mga6
+ Revision: 864160
- new version: 0.9.6.1
- add an URL for Source0
- switch BuildRequires to pkgconfig()

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-3.mga5
+ Revision: 738827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-2.mga5
+ Revision: 680335
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 barjac <barjac> 0.9.6-1.mga5
+ Revision: 674438
- new version: 0.9.6

* Tue Sep 09 2014 barjac <barjac> 0.9.6-0.beta2.4.mga5
+ Revision: 674433
- new full version - previous was beta
- updated tarball to full release

* Fri Oct 18 2013 umeabot <umeabot> 0.9.6-0.beta2.3.mga4
+ Revision: 505890
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-0.beta2.2.mga3
+ Revision: 353801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 barjac <barjac> 0.9.6-0.beta2.1.mga3
+ Revision: 326013
- corrected .desktop file
- new version 0.9.6 beta2
- uses cmake added BR cmake
- removed obsolete patches
- copied icon for .desktop
- patched missing includes in two files
- removed old obsolete defines
- added BR raptor
- removed Buildroot: tag
- change group to new policy
- spec clean
- changed BR to pkgconfig(lrdf) in attempt to fix build

* Fri Apr 15 2011 shikamaru <shikamaru> 0.9.5-1.mga1
+ Revision: 85897
- New version 0.9.5
  Clean spec:
- remove unused patches
- retab (mix use of space and tabs)
- remove trailing spaces
- remove useless defines on top
- imported package hydrogen


* Tue Jun 22 2010 Shlomi Fish <shlomif@mandriva.org> 0.9.4-0.rc1.1mdv2011.0
+ Revision: 548495
- Fix a typo - its

* Sun Jun 07 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.4-0.rc1.1mdv2010.0
+ Revision: 383447
- Fix file list
- Update BuildRequires
- Add Scons as BuildRequires
- Fix BuildRequires
- Update to 0.9.4  c1 ( Qt4 version)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 16 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.3-4mdv2008.1
+ Revision: 98751
- rebuild to fix FLAC errors causing no sound at all
- spec clean
- drop X-Mandriva menu category
- new license policy

* Thu Apr 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.3-3mdv2008.0
+ Revision: 14905
- bump release to differentiate from 2007.1 update package

* Thu Apr 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.3-2mdv2008.0
+ Revision: 14887
- don't package now non-existent menu entry
- remove old menu entry, emi is complaining
- XDG menu fixes
- revert previous incorrect fix for x86-64 build
- add patch2: correct fix for x86-64 build from upstream forum
- try to fix x86-64 build
- add patch0 (fix build with g++ 4.x)
- add patch1 (fix build with recent flac) (from arch)
- add libflac++ to BuildRequires
- rebuild with latest libflac
- install fd.o icons
- Import hydrogen



* Fri Feb 24 2006 Austin Acton <austin@mandriva.org> 0.9.3-1mdk
- New release 0.9.3
- disable patch (fixed I think...)
- fix source URL

* Wed Jan 25 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.2-4mdk
- add QTDIR variable

* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.2-3mdk
- add patch0 which fixed song editor
- update url, improve description
- macroszification
- recreate menu section
- fixed bad permissions on fr docbook sources

* Wed Nov 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.2-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Jul 25 2005 Austin Acton <austin@mandriva.org> 0.9.2-1mdk
- 0.9.2
- new source URL
- tidy buildrequires
- use included icons

* Wed May 25 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-2mdk
- Fix BuildRequires

* Sun Nov 28 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- source URL

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- 0.9.0
- drop libtoolize hack

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 0.8.1-1mdk
- 0.8.1
- delib
- libtoolize

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 0.8.0-3mdk
- BuildRequires ( automake1.6 ) 

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.8.0-2mdk
- DIRM

* Sat May 24 2003 Austin Acton <aacton@yorku.ca> 0.8.0-1mdk
- 0.8.0

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 0.7.6-1mdk
- 0.7.6
- add manpage
- mklibname

* Mon Feb 24 2003 Austin Acton <aacton@yorku.ca> 0.7.5-1mdk
- 0.7.5

* Wed Feb 12 2003 Austin Acton <aacton@yorku.ca> 0.7.4-2mdk
- fix requires/provides

* Tue Feb 11 2003 Austin Acton <aacton@yorku.ca> 0.7.4-1mdk
- initial package
